// Copyright 2006 The Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.apache.tapestry.internal.model;

import org.apache.tapestry.model.ParameterModel;

public class ParameterModelImpl implements ParameterModel
{
    private final String _name;

    private final boolean _required;

    private final String _defaultBindingPrefix;

    public ParameterModelImpl(String name, boolean required, String defaultBindingPrefix)
    {
        _name = name;
        _required = required;
        _defaultBindingPrefix = defaultBindingPrefix;
    }

    public String getName()
    {
        return _name;
    }

    public boolean isRequired()
    {
        return _required;
    }

    public String getDefaultBindingPrefix()
    {
        return _defaultBindingPrefix;
    }
}
